import * as firebaseuiOriginal from '@speakylink/firebaseui';
import firebaseOriginal from 'firebase/app';
import UserCredential = firebaseOriginal.auth.UserCredential;
import AuthCredential = firebaseOriginal.auth.AuthCredential;
export declare const firebase: typeof firebaseOriginal;
export declare const firebaseui: typeof firebaseuiOriginal;
export declare type NativeFirebaseUIAuthConfig = firebaseuiOriginal.auth.Config;
export declare class FirebaseUISignInSuccessWithAuthResult {
    authResult: UserCredential;
    redirectUrl: string;
}
export declare class FirebaseUISignInFailure {
    code: string;
    credential: AuthCredential;
}
